<?php

namespace App\Entity\Ag;

use App\Entity\Members;
use App\Repository\Ag\MainMemberRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: MainMemberRepository::class)]
#[ORM\Table(name: 'ag_main_member')]
class MainMember
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'mainMembers')]
    private ?Members $member = null;

    #[ORM\Column]
    private ?bool $isVotedAllow = null;

    #[ORM\ManyToOne(inversedBy: 'mainMembers')]
    private ?Main $main = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getMember(): ?Members
    {
        return $this->member;
    }

    public function setMember(?Members $member): static
    {
        $this->member = $member;

        return $this;
    }

    public function isVotedAllow(): ?bool
    {
        return $this->isVotedAllow;
    }

    public function setIsVotedAllow(bool $isVotedAllow): static
    {
        $this->isVotedAllow = $isVotedAllow;

        return $this;
    }

    public function getMain(): ?Main
    {
        return $this->main;
    }

    public function setMain(?Main $main): static
    {
        $this->main = $main;

        return $this;
    }
}
